Bug 93529 (VCL-OpenGL) - [META] VCL/OpenGL tracker bug for 5.0+
Summary: [META] VCL/OpenGL tracker bug for 5.0+
Status: NEW
Alias: VCL-OpenGL
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.2.0 target:5.1.0.1
Keywords:
Depends on: 86675 91946 93995 94682 96947 OpenGL-Linux 97943 98792 99521 100243 101146 101961 102901 103833 104086 104583 104893 105191 105277 105633 105650 106311 106583 87673 89550 89772 90493 92019 92184 92708 93530 93531 93546 93547 93568 93614 93620 93662 93666 93735 93736 93751 93772 93798 93814 93822 93839 93850 93859 93867 93870 93884 93989 93991 93996 94006 94031 94213 94281 94384 94686 94700 94726 94739 94741 94851 94917 95053 95054 95234 95507 95562 95581 95590 95618 95627 95639 95648 95672 95674 95710 95781 95813 95869 95913 96184 96257 96266 96378 96385 96420 96430 96546 96550 96653 96657 96690 96858 96894 96919 96920 96925 97075 97137 97197 97319 97458 97475 97666 97700 97715 97733 97739 97763 97796 97816 97846 97848 97922 98052 98056 98091 98129 98217 98279 98324 98365 98380 98666 98710 98983 99130 99204 99207 99244 99307 99351 99369 99370 99446 99560 99795 99919 100080 100120 100159 100169 100184 100187 100193 100219 100279 100300 100332 100365 100411 100451 100487 100746 101008 101300 101321 101599 102295 102312 102944 103279 103318 103514 103614 103758 103767 103803 103804 103820 103824 103831 104013 104034 104139 104159 104196 104242 104705 104854 104855 104874 104939 105162 105454 105514 105880 105976 106146 106279 106415 106545 106815
Blocks: OpenGL
  Show dependency treegraph
 
Reported: 2015-08-19 12:29 UTC by Michael Meeks
Modified: 2017-04-06 16:26 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-08-19 12:29:23 UTC
Tracking issues related to new VCL / OpenGL rendering.
Comment 1 V Stuart Foote 2015-08-19 12:54:14 UTC
@Michael,

Adding bug 92708, the AVI of cycling through use of OpenGL in a session is very entertaining--and informative.

Stuart
Comment 2 Commit Notification 2015-08-28 10:24:46 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b051c3716a8275e8ce7cbc4ba233ad5a075d386f

tdf#93529 - add glDebugMessageInsert wrappers to help with API tracing.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-08-28 10:25:59 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43cb8fe05bff630331c6137dc6c2b3f2d9df9e64

tdf#93529 - use debug messages while rendering to break up the trace.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-08-28 11:25:23 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c04099922c2fb177dd310b7aefe5c0b7d3a40fbf&h=libreoffice-5-0

tdf#93529 - add glDebugMessageInsert wrappers to help with API tracing.

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-08-28 11:25:28 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b7614b918f441442cac7e76d1707e05a1fb72951&h=libreoffice-5-0

tdf#93529 - use debug messages while rendering to break up the trace.

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Meeks 2015-08-28 15:05:51 UTC
Drat; got the wrong bug# =) those commits were intended to be: tdf#93735.
Comment 7 Adolfo Jayme 2015-09-25 23:41:04 UTC
I’ve now fixed the changelog to point to the right bug.
Comment 8 kompilainenn 2015-11-04 18:28:00 UTC
see please https://bugs.documentfoundation.org/show_bug.cgi?id=95581
Comment 9 V Stuart Foote 2015-11-07 04:25:29 UTC
Think bug 95648 -- Uniscribe/Graphite font has black blocks when text justified probably falls here.
Comment 10 tommy27 2015-11-07 11:22:39 UTC
why not merging Meta Bug93529 with Meta Bug 94691?

what's the advantage of having two separate ones?
Comment 11 Tomaz Vajngerl 2015-11-07 11:50:44 UTC
This one is about VCL OpenGL backend bugs, the other one is about all OpenGL bugs (this + bugs in slide transitions, chart2 - which use OpenGL directly or through a different backend).
Comment 12 tommy27 2015-11-08 07:27:48 UTC
ok, thanks for the clarification.
Comment 13 V Stuart Foote 2015-11-14 15:43:39 UTC
added bug 95813, when OpenGL rendering is active -- icon assignments for rendering the Tools -> Options panel go awry.
Comment 14 V Stuart Foote 2015-12-03 17:31:36 UTC
Added bug 94851 --  Images are not printed (paper and PDF) with OpenGL activated
Comment 15 V Stuart Foote 2015-12-07 22:36:18 UTC
Added bug 93120 -- Flickering of Thumbnails in Start Center while Moving the Mouse Pointer, both facets of this are OpenGL dependent.
Comment 16 Commit Notification 2015-12-11 11:32:14 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7bc1f1285e82982b5d900f54f3c6f877517598b8

tdf#93529 - move to a Mac-like double-buffered OpenGL model.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2015-12-11 22:46:15 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e614a1e88b13a8069ea3cf32eb04be7d43bfb335&h=libreoffice-5-1

tdf#93529 - move to a Mac-like double-buffered OpenGL model.

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 tommy27 2016-01-15 16:26:25 UTC
addding Bug 95618 - missing borders in some autocorrect replacement table elements (Win8.1 only; OpenGL related)
Comment 19 V Stuart Foote 2016-01-31 19:39:18 UTC
Adding bug 97458 - LO 5.1.0.3 - Writer: Immediate crash after opening ".docx" or ".odt" when OpenGL enabled (Intel HD 3000) on Windows 7 64-bit

Issue seems to resolve when OpenGL is disabled--so should the GPU / driver be added to our OpenGL blocklist?

Is there someplace we are compiling anecdotal details from BZ and log details? 

It looks like http://opengrok.libreoffice.org/xref/core/vcl/opengl/win/WinDeviceInfo.cxx#845 treats Intel HD 3000 with driver >  9.17.10.0 as know good. With the crashes, that may not be correct for this HW mix.

=-=-=
opengl_device.log from tdf#97458

DriverVersion: 9.17.10.4229
DriverDate: 5-26-2015
DeviceID: PCI\VEN_8086&DEV_0116&SUBSYS_05561028&REV_09
AdapterVendorID: 0x8086
AdapterDeviceID: 0x0116
AdapterSubsysID: 0x05561028
DeviceKey: System\CurrentControlSet\Control\Video\{6CC3897E-D06B-40A9-94CA-A81498FE25B5}\0000
DeviceString: Intel(R) HD Graphics 3000
Comment 20 Michael Meeks 2016-02-02 17:25:49 UTC
V. Stuart : great catch in the code - the code you link to looks like it could subvert the intent of the blacklist:

     <blacklist>
        <entry os="all" vendor="intel" compare="less" version="10.18.14.4264">

which should turn off OGL by default for 9.x.y.z drivers - including all HD3000's =) well worth a look; Tor ?
Comment 21 tommy27 2016-02-14 07:54:52 UTC
I add Bug 97796 - Rotated image does not render with OpenGL activated
Comment 22 Cor Nouws 2016-02-27 11:43:14 UTC
adding Bug 96653 - PNG graphics are corrupted when exported to PDF
Comment 23 Cor Nouws 2016-02-27 11:43:48 UTC
Adding Bug 98091 - Dialogue boxes not clear with Open
Comment 24 Cor Nouws 2016-02-27 11:45:12 UTC
Adding Bug 98056 - Very slugging on sheet with graphs with OpenGL
Comment 25 Cor Nouws 2016-03-07 08:48:24 UTC
Adding Bug 98483 - After enabling OpenGL Calc crashes on entering Options menu
Comment 26 Cor Nouws 2016-03-12 14:58:03 UTC
adding Bug 98279 - OPENGL: VIEWING: Slow/laggy scrolling
Comment 27 Rpnpif 2016-04-15 09:47:50 UTC
adding Bug 99299 - OpenGL : Errors with Gallium Radeon Driver and flickering
Comment 28 V Stuart Foote 2016-04-28 23:39:07 UTC
adding bug 99521 - UI Menu problems on multi-monitor system

nVidia GeForce GTX 560 with current 10.18.13.6472 driver on Windows 7

Blank menu elements when LibreOffice 5.1.2.2 open on secondary monitory, OK on primary display. No issue when OpenGL disabled.
Comment 29 V Stuart Foote 2016-04-29 14:36:27 UTC
adding bug 99560 - Windows 10 AMD Libreoffice unuseable with OpenGL rendering enabled

AMD Radeon 8330 with current 16.150.2211.0 driver on Windows 10 with LibreOffice 5.1.2.2

unstable with multiple documents/modules open (1 ods, 2 odt, 2 odg) -- resolves when OpenGL rendering disabled
Comment 30 Cor Nouws 2016-08-06 06:25:40 UTC
adding Bug 97943 - Presentation-mode: Slides aren't correctly displayed anymore
Comment 31 Pierre C 2016-08-14 12:57:36 UTC
Shouldn't this bug :
https://bugs.documentfoundation.org/show_bug.cgi?id=100120
be added to this as it happens only when OpenGL is enabled ?